package sshkeys

// EncryptedSSHKeyV1 represents an encrypted private key.
type EncryptedSSHKeyV1 struct {
	SSHKeyV1
	Salt       string
	Rounds     uint32
	Passphrase string
}

// SSHKeyV1 represents an unencrypted private key.
// We don't bother with the legacy (pre v1) keys. Sorry not sorry.
// Patch your shit.
type SSHKeyV1 struct {
	CipherName string
	KDFName    string
	KDFOpts    string
	NumKeys    uint32
	Publickey  string
	Privatekey string
}
